# IAX2IeCause Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeCause:

[legend]
Collaboration diagram for IAX2IeCause:
[legend]

## Public Member Functions

| IAX2IeCause (BYTE length, BYTE *srcData)
| IAX2IeCause (const PString &newValue)
| IAX2IeCause (const char *newValue)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains the cause

## Constructor & Destructor Documentation

IAX2IeCause::IAX2IeCause | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeCause::IAX2IeCause | ( | const PString & | newValue | ) | `[inline]`

Construct with a predefined value (Typically used prior to transmission)

IAX2IeCause::IAX2IeCause | ( | const char * | newValue | ) | `[inline]`

Construct with a predefined value (Typically used prior to transmission)

## Member Function Documentation

virtual BYTE IAX2IeCause::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeCause::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeString.

virtual void IAX2IeCause::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h